Name:           maven-ant-tasks
Version:        2.1.3
Release:        4%{?dist}
Summary:        Allow Maven artifact handling features to be used from within an Ant build

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://maven.apache.org/ant-tasks/index.html
#The ant-tasks-in-ant-run-plugin test needs a dependency on ant-launcher
#http://jira.codehaus.org/browse/MANTTASKS-208
Source0:        http://www.apache.org/dist/maven/source/maven-ant-tasks-%{version}-src.zip
Source1:        %{name}.depmap
#Fix up ant groupId
Patch0:         maven-ant-tasks-2.1.1-ant-groupId.patch
BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  ant >= 1.8.0
BuildRequires:  maven-local
BuildRequires:  maven-antrun-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-invoker-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-shade-plugin
BuildRequires:  maven-error-diagnostics
BuildRequires:  objectweb-asm
BuildRequires:  plexus-interpolation

Requires:       jpackage-utils
Requires:       java
Requires:       ant >= 1.8.0
Requires:       maven
Requires:       maven-error-diagnostics

%description
Maven Ant Tasks allow several of Maven's artifact handling features to be
used from within an Ant build. These include:

* Dependency management - including transitive dependencies, scope recognition
  and SNAPSHOT handling
* Artifact deployment - deployment to a Maven repository (file integrated,
  other with extensions)
* POM processing - for reading and writing a Maven 2 pom.xml file


%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q
%patch0 -p1 -b .ant-groupId
#Need to tell maven invoker to run in jpp mode, write test.properties files
for f in src/it/*/invoker.properties
do
   tp=${f/invoker/test}
   cat >> $tp <<EOF
maven2.jpp.mode=1
EOF
done


%build
# Skip tests because they fail with maven 3, see upstream bug:
# http://jira.codehaus.org/browse/MANTTASKS-165
mvn-rpmbuild \
   -Dmaven.local.depmap.file="%{SOURCE1}" \
   -Dmaven.test.skip=true \
   install javadoc:javadoc


%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p target/original-%{name}-%{version}.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}
cp -rp target/site/apidocs \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml \
        $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar


%files
%doc DEPENDENCIES LICENSE NOTICE README.txt
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%doc LICENSE NOTICE
%{_javadocdir}/%{name}


%changelog
* Tue Mar 19 2013 Mat Booth <fedora@matbooth.co.uk> - 2.1.3-4
- Fix FTBFS rhbz #914164

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Orion Poplawski <orion@cora.nwra.com> - 2.1.3-1
- Update to 2.1.3
- Add missing requires (Bug 830786)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 16 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.1.1-8
- Install unversioned jar & javadocs

* Wed Feb 16 2011 Orion Poplawski <orion@cora.nwra.com> 2.1.1-7
- Install the unbundled jar (bug #677736)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 7 2010 Orion Poplawski <orion@cora.nwra.com> 2.1.1-5
- Fix ant groupId to org.apache.ant, resolves FTBFS bug 660901

* Wed Sep 1 2010 Orion Poplawski <orion@cora.nwra.com> 2.1.1-4
- Re-order defattr/doc
- Use _mavenpomdir everywhere
- Use depmap

* Mon Aug 30 2010 Orion Poplawski <orion@cora.nwra.com> 2.1.1-3
- Fix description typo
- Fix javadoc package group
- Add license to javadoc package
- Make javadoc dir versioned with link
- Own maven files, not the dirs
- Use new maven names in BRs

* Fri Aug 27 2010 Orion Poplawski <orion@cora.nwra.com> 2.1.1-2
- Add patch to fix integration test

* Wed Aug 11 2010 Orion Poplawski <orion@cora.nwra.com> 2.1.1-1
- Update to 2.1.1

* Mon Jun 28 2010 Orion Poplawski <orion@cora.nwra.com> 2.1.0-1
- Initial Fedora package
